package com.mx.dla.dda.excelMapper.dtos;

import java.util.List;

import com.mx.dla.dda.excelMapper.constants.ExcelMapperDataType;
import com.mx.dla.global.dtos.BaseDTO;

public class ExcelRule extends BaseDTO {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5404036082010554017L;

	/**
	 * attribute to be set in target object
	 */
	private String attribute;

	/**
	 * attribute to be set in target object
	 */
	private String header;
	
	/**
	 * size attribute
	 */
	private String column;

	/**
	 * Default value
	 */
	private String defaultValue;

	/**
	 * date
	 * numeric
	 * bool
	 */
	private ExcelMapperDataType type;

	/**
	 * Apply custom transform, need the name of a class, this class must
	 * implements CustomTransform
	 */
	private String customTransform;

	/**
	 * Style to format excels
	 */
	private String clazz;
	
	private List<String>	  headers;
	
	private String dateFormat;


	public String getAttribute() {
		return attribute;
	}

	public void setAttribute(String attribute) {
		this.attribute = attribute;
	}

	public String getColumn() {
		return column;
	}

	public void setColumn(String column) {
		this.column = column;
	}

	public String getDefaultValue() {
		return defaultValue;
	}

	public void setDefaultValue(String defaultValue) {
		this.defaultValue = defaultValue;
	}

	public String getCustomTransform() {
		return customTransform;
	}

	public void setCustomTransform(String customTransform) {
		this.customTransform = customTransform;
	}

	public String getClazz() {
		return clazz;
	}

	public void setClazz(String clazz) {
		this.clazz = clazz;
	}
	
	public ExcelMapperDataType getType() {
		return type;
	}
	
	public void setType(ExcelMapperDataType type) {
		this.type = type;
	}
	public String getHeader() {
		return header;
	}
	public void setHeader(String header) {
		this.header = header;
	}

	public List<String> getHeaders() {
		return headers;
	}

	public void setHeaders(List<String> headers) {
		this.headers = headers;
	}

	public String getDateFormat() {
		return dateFormat;
	}

	public void setDateFormat(String dateFormat) {
		this.dateFormat = dateFormat;
	}
	
		
}
